    import ColsVisibility from 'TableFilter/src/extensions/colsVisibility/colsVisibility.js'

public class | source

# ColsVisibility

## Constructor Summary

Public Constructor
public | constructor (tf: Object, f: Object) Columns Visibility extension |

## Member Summary

Public Members
public | atStart : * |
public | btnCloseCssClass : * |
public | btnCloseHtml : * |
public | btnCloseText : * |
public | btnCssClass : * |
public | btnEl : * |
public | btnHtml : * |
public | btnText : * |
public | btnTgtId : * |
public | contCssClass : * |
public | contEl : * |
public | contElTgtId : * |
public | desc : * |
public | enableHover : * |
public | enableTickAll : * |
public | headersIndex : * |
public | headersTbl : * |
public | headersText : * |
public | hiddenCols : * |
public | initialized : boolean |
public | listCssClass : * |
public | listItemCssClass : * |
public | listSlcItemCssClass : * |
public | manager : * |
public | name : * |
public | onAfterClose : * |
public | onAfterColDisplayed : * |
public | onAfterColHidden : * |
public | onAfterOpen : * |
public | onBeforeClose : * |
public | onBeforeColDisplayed : * |
public | onBeforeColHidden : * |
public | onBeforeOpen : * |
public | onLoaded : * |
public | prfx : string |
public | prfxCont : * |
public | spanCssClass : * |
public | spanEl : * |
public | stylesheet : * |
public | tblHasColTag : * |
public | text : * |
public | tf : * |
public | tickAllText : * |
public | tickToHide : * |

## Method Summary

Public Methods
public | buildBtn () Build main button UI |
public | buildManager () Build columns manager UI |
public | checkItem (lbl: *) |
public | destroy () Remove the columns manager |
public | getHiddenCols (): Array Returns the indexes of the columns currently hidden |
public | hideCol (colIndex: Number) Hide specified column |
public | init () |
public | isColHidden (colIndex: Number): boolean Determine if specified column is hidden |
public | setHidden (colIndex: Numner, hide: Boolean) Hide or show specified columns |
public | showCol (colIndex: Number) Show specified column |
public | toggle () |
public | toggleCol (colIndex: Number) Toggle visibility of specified column |

## Public Constructors

### public constructor(tf: Object, f: Object) source

Columns Visibility extension

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance
f | Object |  | Config

## Public Members

### public atStart: * source

### public btnCloseCssClass: * source

### public btnCloseHtml: * source

### public btnCloseText: * source

### public btnCssClass: * source

### public btnEl: * source

### public btnHtml: * source

### public btnText: * source

### public btnTgtId: * source

### public contCssClass: * source

### public contEl: * source

### public contElTgtId: * source

### public desc: * source

### public enableHover: * source

### public enableTickAll: * source

### public headersIndex: * source

### public headersTbl: * source

### public headersText: * source

### public hiddenCols: * source

### public initialized: boolean source

### public listCssClass: * source

### public listItemCssClass: * source

### public listSlcItemCssClass: * source

### public manager: * source

### public name: * source

### public onAfterClose: * source

### public onAfterColDisplayed: * source

### public onAfterColHidden: * source

### public onAfterOpen: * source

### public onBeforeClose: * source

### public onBeforeColDisplayed: * source

### public onBeforeColHidden: * source

### public onBeforeOpen: * source

### public onLoaded: * source

### public prfx: string source

### public prfxCont: * source

### public spanCssClass: * source

### public spanEl: * source

### public stylesheet: * source

### public tblHasColTag: * source

### public text: * source

### public tf: * source

### public tickAllText: * source

### public tickToHide: * source

## Public Methods

### public buildBtn() source

Build main button UI

### public buildManager() source

Build columns manager UI

### public checkItem(lbl: *) source

#### Params:

Name | Type | Attribute | Description
lbl | * |  |

### public destroy() source

Remove the columns manager

### public getHiddenCols(): Array source

Returns the indexes of the columns currently hidden

#### Return:

Array | column indexes

### public hideCol(colIndex: Number) source

Hide specified column

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index

### public init() source

### public isColHidden(colIndex: Number): boolean source

Determine if specified column is hidden

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index

#### Return:

boolean

### public setHidden(colIndex: Numner, hide: Boolean) source

Hide or show specified columns

#### Params:

Name | Type | Attribute | Description
colIndex | Numner |  | Column index
hide | Boolean |  | hide column if true or show if false

### public showCol(colIndex: Number) source

Show specified column

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index

### public toggle() source

### public toggleCol(colIndex: Number) source

Toggle visibility of specified column

#### Params:

Name | Type | Attribute | Description
colIndex | Number |  | Column index